[-]
[+]
|
Added |
squid.spec
|
|
[-]
[+]
|
Added |
squid-3.0.STABLE1-build.patch
^
|
@@ -0,0 +1,295 @@
+diff -up squid-3.0.STABLE15/errors/Makefile.am.build squid-3.0.STABLE15/errors/Makefile.am
+--- squid-3.0.STABLE15/errors/Makefile.am.build 2009-05-06 13:11:29.000000000 +0200
++++ squid-3.0.STABLE15/errors/Makefile.am 2009-05-10 10:38:44.000000000 +0200
+@@ -3,7 +3,7 @@
+ # $Id: Makefile.am,v 1.14.2.1 2008/02/27 10:55:13 amosjeffries Exp $
+ #
+
+-errordir = $(datadir)/errors
++errordir = $(pkgdatadir)/errors
+
+
+ ##dist-hook eveything
+diff -up squid-3.0.STABLE15/errors/Makefile.in.build squid-3.0.STABLE15/errors/Makefile.in
+--- squid-3.0.STABLE15/errors/Makefile.in.build 2009-05-06 13:11:29.000000000 +0200
++++ squid-3.0.STABLE15/errors/Makefile.in 2009-05-10 10:45:09.000000000 +0200
+@@ -218,7 +218,7 @@ target_alias = @target_alias@
+ top_build_prefix = @top_build_prefix@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+-errordir = $(datadir)/errors
++errordir = $(pkgdatadir)/errors
+ DEFAULT_ERROR_DIR = $(errordir)
+ INSTALL_LANGUAGES = templates @ERR_LANGUAGES@
+ LANGUAGES = \
+diff -up squid-3.0.STABLE15/icons/Makefile.am.build squid-3.0.STABLE15/icons/Makefile.am
+--- squid-3.0.STABLE15/icons/Makefile.am.build 2009-05-06 13:11:36.000000000 +0200
++++ squid-3.0.STABLE15/icons/Makefile.am 2009-05-10 10:38:44.000000000 +0200
+@@ -29,7 +29,7 @@ ICONS = anthony-binhex.gif \
+ anthony-xbm.gif \
+ anthony-xpm.gif
+
+-icondir = $(datadir)/icons
++icondir = $(pkgdatadir)/icons
+ icon_DATA = $(ICONS)
+ EXTRA_DIST = $(ICONS)
+ DISTCLEANFILES =
+diff -up squid-3.0.STABLE15/icons/Makefile.in.build squid-3.0.STABLE15/icons/Makefile.in
+--- squid-3.0.STABLE15/icons/Makefile.in.build 2009-05-06 13:11:36.000000000 +0200
++++ squid-3.0.STABLE15/icons/Makefile.in 2009-05-10 10:45:13.000000000 +0200
+@@ -255,7 +255,7 @@ ICONS = anthony-binhex.gif \
+ anthony-xbm.gif \
+ anthony-xpm.gif
+
+-icondir = $(datadir)/icons
++icondir = $(pkgdatadir)/icons
+ icon_DATA = $(ICONS)
+ EXTRA_DIST = $(ICONS)
+ DISTCLEANFILES =
+diff -up squid-3.0.STABLE15/src/Makefile.am.build squid-3.0.STABLE15/src/Makefile.am
+--- squid-3.0.STABLE15/src/Makefile.am.build 2009-05-06 13:11:40.000000000 +0200
++++ squid-3.0.STABLE15/src/Makefile.am 2009-05-10 10:38:44.000000000 +0200
+@@ -928,9 +928,7 @@ BUILT_SOURCES = \
+
+ sysconf_DATA = \
+ squid.conf.default \
+- mime.conf.default
+-
+-data_DATA = \
++ mime.conf.default \
+ mib.txt
+
+ LDADD = libsquid.la libauth.la -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
+@@ -991,18 +989,18 @@ DEFAULT_PREFIX = $(prefix)
+ DEFAULT_CONFIG_FILE = $(sysconfdir)/squid.conf
+ DEFAULT_MIME_TABLE = $(sysconfdir)/mime.conf
+ DEFAULT_DNSSERVER = $(libexecdir)/`echo dnsserver | sed '$(transform);s/$$/$(EXEEXT)/'`
+-DEFAULT_LOG_PREFIX = $(localstatedir)/logs
++DEFAULT_LOG_PREFIX = $(localstatedir)/log/squid
+ DEFAULT_CACHE_LOG = $(DEFAULT_LOG_PREFIX)/cache.log
+ DEFAULT_ACCESS_LOG = $(DEFAULT_LOG_PREFIX)/access.log
+ DEFAULT_STORE_LOG = $(DEFAULT_LOG_PREFIX)/store.log
+-DEFAULT_PID_FILE = $(DEFAULT_LOG_PREFIX)/squid.pid
+-DEFAULT_SWAP_DIR = $(localstatedir)/cache
++DEFAULT_PID_FILE = $(localstatedir)/run/squid.pid
++DEFAULT_SWAP_DIR = $(localstatedir)/spool/squid
+ DEFAULT_PINGER = $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`
+ DEFAULT_UNLINKD = $(libexecdir)/`echo unlinkd | sed '$(transform);s/$$/$(EXEEXT)/'`
+ DEFAULT_DISKD = $(libexecdir)/`echo diskd | sed '$(transform);s/$$/$(EXEEXT)/'`
+-DEFAULT_ICON_DIR = $(datadir)/icons
+-DEFAULT_ERROR_DIR = $(datadir)/errors/@ERR_DEFAULT_LANGUAGE@
+-DEFAULT_MIB_PATH = $(datadir)/mib.txt
++DEFAULT_ICON_DIR = $(pkgdatadir)/icons
++DEFAULT_ERROR_DIR = $(pkgdatadir)/errors/@ERR_DEFAULT_LANGUAGE@
++DEFAULT_MIB_PATH = $(sysconfdir)/mib.txt
+ DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
+
+ DEFS = @DEFS@ -DDEFAULT_CONFIG_FILE=\"$(DEFAULT_CONFIG_FILE)\"
+@@ -1065,7 +1063,7 @@ cf.data: cf.data.pre Makefile
+ repl_modules.cc: repl_modules.sh Makefile
+ $(SHELL) $(srcdir)/repl_modules.sh $(REPL_POLICIES) > repl_modules.cc
+
+-install-data-local: install-sysconfDATA install-dataDATA
++install-data-local: install-sysconfDATA
+ @if test -f $(DESTDIR)$(DEFAULT_MIME_TABLE) ; then \
+ echo "$@ will not overwrite existing $(DESTDIR)$(DEFAULT_MIME_TABLE)" ; \
+ else \
+@@ -1078,6 +1076,12 @@ install-data-local: install-sysconfDATA
+ echo "$(INSTALL_DATA) squid.conf.default $(DESTDIR)$(DEFAULT_CONFIG_FILE)"; \
+ $(INSTALL_DATA) squid.conf.default $(DESTDIR)$(DEFAULT_CONFIG_FILE); \
+ fi
++ @if test -f $(DESTDIR)$(DEFAULT_MIB_PATH) ; then \
++ echo "$@ will not overwrite existing $(DESTDIR)$(DEFAULT_MIB_PATH)" ; \
++ else \
++ echo "$(INSTALL_DATA) squid.conf.default $(DESTDIR)$(DEFAULT_MIB_PATH)"; \
++ $(INSTALL_DATA) squid.conf.default $(DESTDIR)$(DEFAULT_MIB_PATH); \
++ fi
+ $(mkinstalldirs) $(DESTDIR)$(DEFAULT_LOG_PREFIX)
+
+ uninstall-local:
+@@ -1085,6 +1089,10 @@ uninstall-local:
+ echo "rm -f $(DESTDIR)$(DEFAULT_MIME_TABLE)"; \
+ $(RM) -f $(DESTDIR)$(DEFAULT_MIME_TABLE); \
+ fi
++ @if test -f $(DESTDIR)$(DEFAULT_MIB_PATH) ; then \
++ echo "rm -f $(DESTDIR)$(DEFAULT_MIB_PATH)"; \
++ $(RM) -f $(DESTDIR)$(DEFAULT_MIB_PATH); \
++ fi
+
+ # Don't automatically uninstall config files
+ # @if test -f $(DESTDIR)$(DEFAULT_CONFIG_FILE) ; then \
+diff -up squid-3.0.STABLE15/src/Makefile.in.build squid-3.0.STABLE15/src/Makefile.in
+--- squid-3.0.STABLE15/src/Makefile.in.build 2009-05-06 13:11:40.000000000 +0200
++++ squid-3.0.STABLE15/src/Makefile.in 2009-05-10 10:45:15.000000000 +0200
+@@ -136,8 +136,7 @@ libsquid_la_LIBADD =
+ am_libsquid_la_OBJECTS = comm.lo IPInterception.lo
+ libsquid_la_OBJECTS = $(am_libsquid_la_OBJECTS)
+ am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libexecdir)" \
+- "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(datadir)" \
+- "$(DESTDIR)$(sysconfdir)"
++ "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(sysconfdir)"
+ binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
+ @ENABLE_PINGER_TRUE@am__EXEEXT_1 = pinger$(EXEEXT)
+ @USE_DNSSERVER_TRUE@am__EXEEXT_2 = dnsserver$(EXEEXT)
+@@ -1576,9 +1575,8 @@ am__vpath_adj = case $$p in \
+ *) f=$$p;; \
+ esac;
+ am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+-dataDATA_INSTALL = $(INSTALL_DATA)
+ sysconfDATA_INSTALL = $(INSTALL_DATA)
+-DATA = $(data_DATA) $(sysconf_DATA)
++DATA = $(sysconf_DATA)
+ HEADERS = $(noinst_HEADERS)
+ RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
+ distclean-recursive maintainer-clean-recursive
+@@ -2572,9 +2570,7 @@ BUILT_SOURCES = \
+
+ sysconf_DATA = \
+ squid.conf.default \
+- mime.conf.default
+-
+-data_DATA = \
++ mime.conf.default \
+ mib.txt
+
+ LDADD = libsquid.la libauth.la -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
+@@ -2632,18 +2628,18 @@ DEFAULT_PREFIX = $(prefix)
+ DEFAULT_CONFIG_FILE = $(sysconfdir)/squid.conf
+ DEFAULT_MIME_TABLE = $(sysconfdir)/mime.conf
+ DEFAULT_DNSSERVER = $(libexecdir)/`echo dnsserver | sed '$(transform);s/$$/$(EXEEXT)/'`
+-DEFAULT_LOG_PREFIX = $(localstatedir)/logs
++DEFAULT_LOG_PREFIX = $(localstatedir)/log/squid
+ DEFAULT_CACHE_LOG = $(DEFAULT_LOG_PREFIX)/cache.log
+ DEFAULT_ACCESS_LOG = $(DEFAULT_LOG_PREFIX)/access.log
+ DEFAULT_STORE_LOG = $(DEFAULT_LOG_PREFIX)/store.log
+-DEFAULT_PID_FILE = $(DEFAULT_LOG_PREFIX)/squid.pid
+-DEFAULT_SWAP_DIR = $(localstatedir)/cache
++DEFAULT_PID_FILE = $(localstatedir)/run/squid.pid
++DEFAULT_SWAP_DIR = $(localstatedir)/spool/squid
+ DEFAULT_PINGER = $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`
+ DEFAULT_UNLINKD = $(libexecdir)/`echo unlinkd | sed '$(transform);s/$$/$(EXEEXT)/'`
+ DEFAULT_DISKD = $(libexecdir)/`echo diskd | sed '$(transform);s/$$/$(EXEEXT)/'`
+-DEFAULT_ICON_DIR = $(datadir)/icons
+-DEFAULT_ERROR_DIR = $(datadir)/errors/@ERR_DEFAULT_LANGUAGE@
+-DEFAULT_MIB_PATH = $(datadir)/mib.txt
++DEFAULT_ICON_DIR = $(pkgdatadir)/icons
++DEFAULT_ERROR_DIR = $(pkgdatadir)/errors/@ERR_DEFAULT_LANGUAGE@
++DEFAULT_MIB_PATH = $(sysconfdir)/mib.txt
+ DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
+
+ # Don't automatically uninstall config files
+@@ -5020,23 +5016,6 @@ clean-libtool:
+ -rm -rf .libs _libs
+ -rm -rf DiskIO/DiskDaemon/.libs DiskIO/DiskDaemon/_libs
+ -rm -rf tests/.libs tests/_libs
+-install-dataDATA: $(data_DATA)
+- @$(NORMAL_INSTALL)
+- test -z "$(datadir)" || $(MKDIR_P) "$(DESTDIR)$(datadir)"
+- @list='$(data_DATA)'; for p in $$list; do \
+- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+- f=$(am__strip_dir) \
+- echo " $(dataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(datadir)/$$f'"; \
+- $(dataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(datadir)/$$f"; \
+- done
+-
+-uninstall-dataDATA:
+- @$(NORMAL_UNINSTALL)
+- @list='$(data_DATA)'; for p in $$list; do \
+- f=$(am__strip_dir) \
+- echo " rm -f '$(DESTDIR)$(datadir)/$$f'"; \
|
[-]
[+]
|
Added |
squid-3.0.STABLE1-config.patch
^
|
@@ -0,0 +1,62 @@
+diff -up squid-3.0.STABLE9/src/cf.data.pre.config squid-3.0.STABLE9/src/cf.data.pre
+--- squid-3.0.STABLE9/src/cf.data.pre.config 2008-09-09 18:06:44.000000000 +0200
++++ squid-3.0.STABLE9/src/cf.data.pre 2008-10-19 23:34:17.000000000 +0200
+@@ -703,6 +703,7 @@ http_access deny CONNECT !SSL_ports
+ http_access allow localnet
+
+ # And finally deny all other access to this proxy
++http_access allow localhost
+ http_access deny all
+ NOCOMMENT_END
+ DOC_END
+@@ -2135,7 +2136,7 @@ DOC_END
+
+ NAME: logfile_rotate
+ TYPE: int
+-DEFAULT: 10
++DEFAULT: 0
+ LOC: Config.Log.rotateNumber
+ DOC_START
+ Specifies the number of logfile rotations to make when you
+@@ -2151,6 +2152,7 @@ DOC_START
+ purposes, so -k rotate uses another signal. It is best to get
+ in the habit of using 'squid -k rotate' instead of 'kill -USR1
+ <pid>'.
++logfile_rotate 0
+ DOC_END
+
+ NAME: emulate_httpd_log
+@@ -3254,11 +3256,11 @@ COMMENT_END
+
+ NAME: cache_mgr
+ TYPE: string
+-DEFAULT: webmaster
++DEFAULT: root
+ LOC: Config.adminEmail
+ DOC_START
+ Email-address of local cache manager who will receive
+- mail if the cache dies. The default is "webmaster."
++ mail if the cache dies. The default is "root."
+ DOC_END
+
+ NAME: mail_from
+@@ -4422,9 +4424,16 @@ TYPE: string
+ LOC: Config.errorDirectory
+ DEFAULT: @DEFAULT_ERROR_DIR@
+ DOC_START
+- If you wish to create your own versions of the default files, to
+- customize them to suit your company copy the template files to
+- another directory and point this tag at them.
++ Directory where the error files are read from.
++ /usr/lib/squid/errors contains sets of error files
++ in different languages. The default error directory
++ is /etc/squid/errors, which is a link to one of these
++ error sets.
++
++ If you wish to create your own versions of the error files,
++ either to customize them to suit your language or company,
++ copy the template English files to another directory and
++ point this tag at them.
+
+ Current Language updates can be downloaded from:
+ http://www.squid-cache.org/Versions/langpack/
|
[-]
[+]
|
Added |
squid-3.0.STABLE1-location.patch
^
|
@@ -0,0 +1,39 @@
+diff -up squid-3.0.STABLE2/QUICKSTART.location squid-3.0.STABLE2/QUICKSTART
+--- squid-3.0.STABLE2/QUICKSTART.location 2008-02-10 12:04:32.000000000 +0100
++++ squid-3.0.STABLE2/QUICKSTART 2008-03-11 15:53:36.000000000 +0100
+@@ -12,10 +12,9 @@ After you retrieved, compiled and instal
+ INSTALL in the same directory), you have to configure the squid.conf
+ file. This is the list of the values you *need* to change, because no
+ sensible defaults could be defined. Do not touch the other variables
+-for now. We assume you have installed Squid in the default location:
+-/usr/local/squid
++for now.
+
+-Uncomment and edit the following lines in /usr/local/squid/etc/squid.conf:
++Uncomment and edit the following lines in /etc/squid/squid.conf:
+
+ ==============================================================================
+
+@@ -26,7 +25,7 @@ cache_peer, never_direct/always_direct
+ always ask permission before adding a parent cache. See also the
+ never_direct/always_direct directives.
+
+-cache_dir ufs /usr/local/squid/var/cache 100 16 256
++cache_dir ufs /var/spool/squid 100 16 256
+
+ Add here (first number, here 100) the amount of hard disk space
+ (in megabytes) to devote to caching.
+@@ -69,10 +68,10 @@ visible_hostname
+ After editing squid.conf to your liking, run Squid from the command
+ line TWICE:
+
+- % /usr/local/squid/sbin/squid -z
+- % /usr/local/squid/sbin/squid
++ % /usr/sbin/squid -z
++ % /usr/sbin/squid
+
+-Check in the cache.log (/usr/local/squid/var/logs/cache.log) that
++Check in the cache.log (/var/log/squid/cache.log) that
+ everything is all right.
+
+ Once Squid created all its files (it can take several minutes on some
|
[-]
[+]
|
Added |
squid-3.0.STABLE1-perlpath.patch
^
|
@@ -0,0 +1,9 @@
+diff -up squid-3.0.STABLE1/contrib/url-normalizer.pl.perlpath squid-3.0.STABLE1/contrib/url-normalizer.pl
+--- squid-3.0.STABLE1/contrib/url-normalizer.pl.perlpath 1996-12-06 18:54:31.000000000 +0100
++++ squid-3.0.STABLE1/contrib/url-normalizer.pl 2008-01-23 12:07:50.000000000 +0100
+@@ -1,4 +1,4 @@
+-#!/usr/local/bin/perl -Tw
++#!/usr/bin/perl -Tw
+
+ # From: Markus Gyger <mgyger@itr.ch>
+ #
|
[-]
[+]
|
Added |
squid-3.0.STABLE15-smb-path.patch
^
|
@@ -0,0 +1,41 @@
+diff -up squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.am.smb-path squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.am
+--- squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.am.smb-path 2009-05-06 13:11:32.000000000 +0200
++++ squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.am 2009-05-23 13:23:34.000000000 +0200
+@@ -7,14 +7,14 @@
+ #
+
+ # SAMBAPREFIX must point to the directory where Samba has been installed.
+-# By default, Samba is installed in /usr/local/samba. If you changed this
++# By default, Samba is installed in /usr. If you changed this
+ # by using the --prefix option when configuring Samba, you need to change
+ # SAMBAPREFIX accordingly.
+
+ ## FIXME: autoconf should test for the samba path.
+
+ SMB_AUTH_HELPER = smb_auth.sh
+-SAMBAPREFIX=/usr/local/samba
++SAMBAPREFIX=/usr
+ SMB_AUTH_HELPER_PATH = $(libexecdir)/$(SMB_AUTH_HELPER)
+
+ libexec_SCRIPTS = $(SMB_AUTH_HELPER)
+diff -up squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.in.smb-path squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.in
+--- squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.in.smb-path 2009-05-06 13:11:32.000000000 +0200
++++ squid-3.0.STABLE15/helpers/basic_auth/SMB/Makefile.in 2009-05-23 13:24:39.000000000 +0200
+@@ -23,7 +23,7 @@
+ #
+
+ # SAMBAPREFIX must point to the directory where Samba has been installed.
+-# By default, Samba is installed in /usr/local/samba. If you changed this
++# By default, Samba is installed in /usr. If you changed this
+ # by using the --prefix option when configuring Samba, you need to change
+ # SAMBAPREFIX accordingly.
+
+@@ -259,7 +259,7 @@ top_build_prefix = @top_build_prefix@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ SMB_AUTH_HELPER = smb_auth.sh
+-SAMBAPREFIX = /usr/local/samba
++SAMBAPREFIX = /usr
+ SMB_AUTH_HELPER_PATH = $(libexecdir)/$(SMB_AUTH_HELPER)
+ libexec_SCRIPTS = $(SMB_AUTH_HELPER)
+ smb_auth_CFLAGS = -DSAMBAPREFIX=\"$(SAMBAPREFIX)\" -DHELPERSCRIPT=\"$(SMB_AUTH_HELPER_PATH)\"
|
[-]
[+]
|
Added |
squid-3.0.STABLE7-from_manpg.patch
^
|
@@ -0,0 +1,80 @@
+diff -up squid-3.0.STABLE7/helpers/basic_auth/NCSA/ncsa_auth.8.from_manpg squid-3.0.STABLE7/helpers/basic_auth/NCSA/ncsa_auth.8
+--- squid-3.0.STABLE7/helpers/basic_auth/NCSA/ncsa_auth.8.from_manpg 2008-06-22 05:35:49.000000000 +0200
++++ squid-3.0.STABLE7/helpers/basic_auth/NCSA/ncsa_auth.8 2007-06-06 18:25:30.000000000 +0200
+@@ -1,38 +1,38 @@
+-.\" This file is distributed in the hope that it will be useful,
+-.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
+-.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
+-.\" the GNU General Public License for more details.
+-.\"
+-.\" You should have received a copy of the GNU General Public License
+-.\" along with this file; if not, write to the Free Software
+-.\" Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+-.\" MA 02111-1307 USA
+-.\"
+-.\" HISTORY:
+-.\" 2006-05-16, created by Rodrigo Rubira Branco <rrbranco@br.ibm.com>
+-.TH ncsa_auth 8 "May 16, 2006" "Squid NCSA Auth helper"
+-.SH NAME
+-ncsa_auth \- NCSA httpd-style password file authentication helper for Squid
+-\fB
+-.SH SYNOPSIS
+-.nf
+-.fam C
+-\fBncsa_auth\fP \fIpasswdfile\fP
+-.fam T
+-.fi
+-.SH DESCRIPTION
+-\fBncsa_auth\fP allows Squid to read and authenticate user and password information from an NCSA/Apache httpd-style password file when using basic HTTP authentication.
+-.PP
+-The only parameter is the password file. It must have permissions to be read by the user that Squid is running as (cache_effective_user in squid.conf).
+-.PP
+-This password file can be manipulated using htpasswd.
+-.SH OPTIONS
+-Only specify the password file name.
+-.SH EXAMPLE
+-\fBncsa_auth\fP /etc/squid/squid.pass
+-.SH SECURITY
+-\fBncsa_auth\fP must have access to the password file to be executed.
+-.SH SEE ALSO
+-\fBhtpasswd\fP(1), \fBsquid\fP(8)
+-.SH AUTHOR
+-Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com>
++.\" This file is distributed in the hope that it will be useful,
++.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
++.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
++.\" the GNU General Public License for more details.
++.\"
++.\" You should have received a copy of the GNU General Public License
++.\" along with this file; if not, write to the Free Software
++.\" Foundation, Inc., 59 Temple Place, Suite 330, Boston,
++.\" MA 02111-1307 USA
++.\"
++.\" HISTORY:
++.\" 2006-05-16, created by Rodrigo Rubira Branco <rrbranco@br.ibm.com>
++.TH ncsa_auth 8 "May 16, 2006" "User Manuals" "User Manuals"
++.SH NAME
++ncsa_auth \- NCSA httpd-style password file authentication helper for Squid
++\fB
++.SH SYNOPSIS
++.nf
++.fam C
++\fBncsa_auth\fP \fIpasswdfile\fP
++.fam T
++.fi
++.SH DESCRIPTION
++\fBncsa_auth\fP allows Squid to read and authenticate user and password information from an NCSA httpd-style password file when using basic HTTP authentication.
++.PP
++The only parameter is the password file. It must have permissions to be read by the user that Squid is running as. By default this user is proxy. This can be changed using the cache_effective_user directive in the squid.conf file.
++.PP
++This password file can be manipulated using htpasswd.
++.SH OPTIONS
++Only specify the password file name.
++.SH EXAMPLE
++\fBncsa_auth\fP /etc/squid/squid.pass
++.SH SECURITY
++\fBncsa_auth\fP must have access to the password file to be executed.
++.SH SEE ALSO
++\fBhtpasswd\fP(1), \fBsquid\fP(8)
++.SH AUTHOR
++Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com>
|
[-]
[+]
|
Added |
FAQ.sgml
^
|
@@ -0,0 +1,13365 @@
+<!doctype linuxdoc system>
+
+<article>
+
+<titlepag>
+<TITLE>SQUID Frequently Asked Questions</TITLE>
+<author>© 2001 Duane Wessels, <tt/wessels@squid-cache.org/
+<abstract>
+Frequently Asked Questions (with answers!) about the Squid Internet
+Object Cache software.
+</abstract>
+</titlepag>
+
+<toc>
+
+<p>
+You can download the FAQ as
+<url url="FAQ.ps.gz" name="compressed Postscript">,
+<url url="FAQ.txt" name="plain text">,
+<url url="FAQ.sgml" name="linuxdoc SGML source"> or as a
+<url url="FAQ.tar.gz" name="compressed tar of HTML">.
+</p>
+
+<!-- %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% -->
+
+<sect>About Squid, this FAQ, and other Squid information resources
+
+<sect1>What is Squid?
+<P>
+Squid is a high-performance proxy caching server for web clients,
+supporting FTP, gopher, and HTTP data objects. Unlike traditional
+caching software, Squid handles all requests in a single,
+non-blocking, I/O-driven process.
+
+Squid keeps
+meta data and especially hot objects cached in RAM, caches
+DNS lookups, supports non-blocking DNS lookups, and implements
+negative caching of failed requests.
+
+Squid supports SSL, extensive
+access controls, and full request logging. By using the
+lightweight Internet Cache Protocol, Squid caches can be arranged
+in a hierarchy or mesh for additional bandwidth savings.
+
+<P>
+Squid consists of a main server program <em/squid/, a Domain Name System
+lookup program <em/dnsserver/, some optional programs for rewriting
+requests and performing authentication, and some management and client
+tools. When <em/squid/ starts up, it spawns a configurable number of
+<em/dnsserver/ processes, each of which can perform a single, blocking
+Domain Name System (DNS) lookup. This reduces the amount of time the
+cache waits for DNS lookups.
+
+<P>
+Squid is derived from the ARPA-funded
+<url url="http://harvest.cs.colorado.edu/"
+ name="Harvest project">.
+
+<sect1>What is Internet object caching?
+<P>
+Internet object caching is a way to store requested Internet objects
+(i.e., data available via the HTTP, FTP, and gopher protocols) on a
+system closer to the requesting site than to the source. Web browsers
+can then use the local Squid cache as a proxy HTTP server, reducing
+access time as well as bandwidth consumption.
+
+<sect1>Why is it called Squid?
+<P>
+Harris' Lament says, ``All the good ones are taken."
+
+<P>
+We needed to distinguish this new version from the Harvest
+cache software. Squid was the code name for initial
+development, and it stuck.
+
+<sect1>What is the latest version of Squid?
+<P>
+Squid is updated often; please see
+<url url="http://www.squid-cache.org/"
+ name="the Squid home page">
+for the most recent versions.
+
+<sect1>Who is responsible for Squid?
+<P>
+Squid is the result of efforts by numerous individuals from
+the Internet community.
+<url url="mailto:wessels@squid-cache.org"
+ name="Duane Wessels">
+of the National Laboratory for Applied Network Research (funded by
+the National Science Foundation) leads code development.
+Please see
+<url url="http://www.squid-cache.org/CONTRIBUTORS"
+ name="the CONTRIBUTORS file">
+for a list of our excellent contributors.
+
+<sect1>Where can I get Squid?
+<P>
+You can download Squid via FTP from
+<url url="ftp://ftp.squid-cache.org/pub/"
+ name="the primary FTP site">
+or one of the many worldwide
+<url url="http://www.squid-cache.org/mirrors.html"
+ name="mirror sites">.
+
+<P>
+Many sushi bars also have Squid.
+
+<sect1>What Operating Systems does Squid support?
+<P>
+The software is designed to operate on any modern Unix system, and
+is known to work on at least the following platforms:
+<itemize>
+<item> Linux
+<item> FreeBSD
+<item> NetBSD
+<item> BSDI
+<item> Mac OS/X
+<item> OSF and Digital Unix
+<item> IRIX
+<item> SunOS/Solaris
+<item> NeXTStep
+<item> SCO Unix
+<item> AIX
+<item> HP-UX
+<item> <ref id="building-os2" name="OS/2">
+</itemize>
+
+<P>
+For more specific information, please see
+<url url="http://www.squid-cache.org/platforms.html" name="platforms.html">.
+If you encounter any platform-specific problems, please
+let us know by registering a entry in our
+<url url="http://www.squid-cache.org/bugs/"
+ name="bug database">.
+
+<sect1>Does Squid run on Windows NT?
+<label id="squid-NT">
+<P>
+Recent versions of Squid will <em/compile and run/ on Windows/NT
+with the
+<url url="http://www.cygnus.com/misc/gnu-win32/"
+name="GNU-Win32 package">.
+
+<p>
+<url url="http://serassio.interfree.it/SquidNT.htm" name="Guido Serassio">
+have Squid NT pages and is actively working on having the needed changes integrated into the standard Squid distribution. Partially based on earlier NT port by <url url="http://www.phys-iasi.ro/users/romeo/squidnt.htm" name="Romeo Anghelache">.
+
+<p>
+<url url="http://www.logisense.com/" name="LogiSense">
+has ported Squid to Windows NT and sells a supported
+version. You can also download the source from
+<url url="ftp://ftp.logisense.com/pub/cachexpress/" name="their FTP site">.
+Thanks to LogiSense for making the code available as required by the GPL terms.
+
+<sect1>What Squid mailing lists are available?
+<P>
+<itemize>
+<item> squid-users@squid-cache.org: general discussions about the
+Squid cache software. Subscribe via
+<it/squid-users-subscribe@squid-cache.org/.
+
+Previous messages are available for browsing at
+<url url="http://www.squid-cache.org/mail-archive/squid-users/"
+ name="the Squid Users Archive">,
+and also at <url url="http://marc.theaimsgroup.com/?l=squid-users&r=1&w=2" name="theaimsgroup.com">.
+
+<item>
+squid-users-digest: digested (daily) version of
+above. Subscribe via
+<it/squid-users-digest-subscribe@squid-cache.org/.
+
+<item>
+squid-announce@squid-cache.org: A receive-only list for
+announcements of new versions.
+Subscribe via
+<it/squid-announce-subscribe@squid-cache.org/.
+
+<item>
+<it/squid-bugs@squid-cache.org/:
+A closed list for sending us bug reports.
+Bug reports received here are given priority over
+those mentioned on squid-users.
+
+<item>
+<it/squid@squid-cache.org/:
+A closed list for sending us feed-back and ideas.
+
+<item>
+<it/squid-faq@squid-cache.org/:
+A closed list for sending us feed-back, updates, and additions to
+the Squid FAQ.
+</itemize>
+
+<P>
+We also have a few other mailing lists which are not strictly
+Squid-related.
+
+<itemize>
+<item>
|
[-]
[+]
|
Added |
perl-requires-squid.sh
^
|
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+/usr/lib/rpm/perl.req $* | grep -v "Authen::Smb"
|
|
Added |
squid-3.0.STABLE25.tar.bz2
^
|
[-]
[+]
|
Added |
squid-3.0.STABLE25.tar.bz2.asc
^
|
@@ -0,0 +1,20 @@
+File: squid-3.0.STABLE25.tar.bz2
+Date: Sun Mar 14 05:46:34 UTC 2010
+Size: 1758969
+MD5 : 6a29be1e4900470aebe93654f9be03e0
+SHA1: 18306a6dc370930dfbea24674588053e62c13b97
+Key : 0xD0F41EA3 <squid3@treenet.co.nz>
+ fingerprint = EA31 CC5E 9488 E516 8D2D CC5E B268 E706 FF5C F463
+ keyring = http://www.squid-cache.org/pgp.asc
+ keyserver = subkeys.pgp.net
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.10 (GNU/Linux)
+
+iQEcBAABAgAGBQJLnHnEAAoJEAeKY6rQ9B6jEXYH/18cgS/aDRsdl7cC0nS1uOKF
+c5/xwCanwcKsrmH+k2dROjSUqEqnAILeZ5kEmNF+LMcaGNPYqBHCpcbHZKil/sHk
+jZSLP7g6y3wMfvoyNNBQtwt5sxK5lOJXSt7UqqPCpHWhRN+NthDusfLs5q6ATxUm
+hy0AboshCXdhIRnF3dHmiZXzrGtoBT0cqShuW4TgLf30Ms4zvLEjarHVj7FSWUMQ
+D5A2gAK+h3Uo4b8+vapph8TVNMHIQNYaK1gXiNqNK9AH21/auc5gcXdAfmkVjzwf
+Y6zHjQopS9HcBg2384k5taQsOSDNG+07Kpe5s9oLyem6DlZf1TYK4sjgcWF1qqE=
+=L7Jv
+-----END PGP SIGNATURE-----
|
[-]
[+]
|
Added |
squid.init
^
|
@@ -0,0 +1,177 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides: squid
+# chkconfig: - 90 25
+# pidfile: /var/run/squid.pid
+# config: /etc/squid/squid.conf
+# Short-Description: starting and stopping Squid Internet Object Cache
+# Description: Squid - Internet Object Cache. Internet object caching is \
+# a way to store requested Internet objects (i.e., data available \
+# via the HTTP, FTP, and gopher protocols) on a system closer to the \
+# requesting site than to the source. Web browsers can then use the \
+# local Squid cache as a proxy HTTP server, reducing access time as \
+# well as bandwidth consumption.
+### END INIT INFO
+
+
+PATH=/usr/bin:/sbin:/bin:/usr/sbin
+export PATH
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+if [ -f /etc/sysconfig/squid ]; then
+ . /etc/sysconfig/squid
+fi
+
+# don't raise an error if the config file is incomplete
+# set defaults instead:
+SQUID_OPTS=${SQUID_OPTS:-"-D"}
+SQUID_PIDFILE_TIMEOUT=${SQUID_PIDFILE_TIMEOUT:-20}
+SQUID_SHUTDOWN_TIMEOUT=${SQUID_SHUTDOWN_TIMEOUT:-100}
+SQUID_CONF=${SQUID_CONF:-"/etc/squid/squid.conf"}
+
+# determine the name of the squid binary
+[ -f /usr/sbin/squid ] && SQUID=squid
+
+prog="$SQUID"
+
+# determine which one is the cache_swap directory
+CACHE_SWAP=`sed -e 's/#.*//g' $SQUID_CONF | \
+ grep cache_dir | awk '{ print $3 }'`
+[ -z "$CACHE_SWAP" ] && CACHE_SWAP=/var/spool/squid
+
+RETVAL=0
+
+probe() {
+ # Check that networking is up.
+ [ ${NETWORKING} = "no" ] && exit 1
+
+ [ `id -u` -ne 0 ] && exit 4
+
+ # check if the squid conf file is present
+ [ -f $SQUID_CONF ] || exit 6
+}
+
+start() {
+ probe
+
+ parse=`$SQUID -k parse -f $SQUID_CONF 2>&1`
+ RETVAL=$?
+ if [ $RETVAL -ne 0 ]; then
+ echo -n $"Starting $prog: "
+ echo_failure
+ echo
+ echo "$parse"
+ return 1
+ fi
+ for adir in $CACHE_SWAP; do
+ if [ ! -d $adir/00 ]; then
+ echo -n "init_cache_dir $adir... "
+ $SQUID -z -F -D -f $SQUID_CONF >> /var/log/squid/squid.out 2>&1
+ fi
+ done
+ echo -n $"Starting $prog: "
+ $SQUID $SQUID_OPTS -f $SQUID_CONF >> /var/log/squid/squid.out 2>&1
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ]; then
+ timeout=0;
+ while : ; do
+ [ ! -f /var/run/squid.pid ] || break
+ if [ $timeout -ge $SQUID_PIDFILE_TIMEOUT ]; then
+ RETVAL=1
+ break
+ fi
+ sleep 1 && echo -n "."
+ timeout=$((timeout+1))
+ done
+ fi
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SQUID
+ [ $RETVAL -eq 0 ] && echo_success
+ [ $RETVAL -ne 0 ] && echo_failure
+ echo
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ $SQUID -k check -f $SQUID_CONF >> /var/log/squid/squid.out 2>&1
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ] ; then
+ $SQUID -k shutdown -f $SQUID_CONF &
+ rm -f /var/lock/subsys/$SQUID
+ timeout=0
+ while : ; do
+ [ -f /var/run/squid.pid ] || break
+ if [ $timeout -ge $SQUID_SHUTDOWN_TIMEOUT ]; then
+ echo
+ return 1
+ fi
+ sleep 2 && echo -n "."
+ timeout=$((timeout+2))
+ done
+ echo_success
+ echo
+ else
+ echo_failure
+ echo
+ fi
+ return $RETVAL
+}
+
+reload() {
+ $SQUID $SQUID_OPTS -k reconfigure -f $SQUID_CONF
+}
+
+restart() {
+ stop
+ start
+}
+
+condrestart() {
+ [ -e /var/lock/subsys/squid ] && restart || :
+}
+
+rhstatus() {
+ status $SQUID && $SQUID -k check -f $SQUID_CONF
+}
+
+
+case "$1" in
+start)
+ start
+ ;;
+
+stop)
+ stop
+ ;;
+
+reload)
+ reload
+ ;;
+
+restart)
+ restart
+ ;;
+
+condrestart)
+ condrestart
+ ;;
+
+status)
+ rhstatus
+ ;;
+
+probe)
+ probe
+ ;;
+
+*)
+ echo $"Usage: $0 {start|stop|status|reload|restart|condrestart|probe}"
+ exit 2
+esac
+
+exit $?
|
[-]
[+]
|
Added |
squid.logrotate
^
|
@@ -0,0 +1,16 @@
+/var/log/squid/*.log {
+ weekly
+ rotate 5
+ compress
+ notifempty
+ missingok
+ nocreate
+ sharedscripts
+ postrotate
+ # Asks squid to reopen its logs. (logfile_rotate 0 is set in squid.conf)
+ # errors redirected to make it silent if squid is not running
+ /usr/sbin/squid -k rotate 2>/dev/null
+ # Wait a little to allow Squid to catch up before the logs is compressed
+ sleep 1
+ endscript
+}
|
[-]
[+]
|
Added |
squid.nm
^
|
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+if [ "$2" = "up" ]; then
+ /sbin/service squid reload || :
+fi
|
[-]
[+]
|
Added |
squid.pam
^
|
@@ -0,0 +1,3 @@
+#%PAM-1.0
+auth include system-auth
+account include system-auth
|